Search Unity

  1. Welcome to the Unity Forums! Please take the time to read our Code of Conduct to familiarize yourself with the forum rules and how to post constructively.
  2. Unity 2022.2 is now available as the latest Tech release.
    Dismiss Notice
  3. We are making some changes to the DOTS forums.
    Dismiss Notice
  4. Have a look at our Games Focus blog post series which will show what Unity is doing for all game developers – now, next year, and in the future.
    Dismiss Notice

Blender 2.5 support

Discussion in 'Asset Importing & Exporting' started by Paulius-Liekis, Oct 4, 2010.

Thread Status:
Not open for further replies.
  1. Paulius-Liekis

    Paulius-Liekis

    Joined:
    Aug 31, 2009
    Posts:
    672
    There are two ways to import models from Blender into Unity:

    1) Export manually from Blender and then import that FBX file in Unity. That should work just fine with Blender 2.5, or even better than Blender 2.49, because I believe that they fixed some problems/bugs.

    2) Drop Blend file directly into Unity and expect Unity to do the conversion. This doesn't work, because Blender 2.5 is in still in beta phase and python scripts do not work properly in default Blender installation. As soon as issues are fixed on Blender side we will make sure that integration with Unity works.


    I'll update this thread once I have more news.

    If you want to ask something you can do it here:
    http://forum.unity3d.com/threads/61889-Blender-2.54-soon
     
  2. Paulius-Liekis

    Paulius-Liekis

    Joined:
    Aug 31, 2009
    Posts:
    672
    Forgot to update this... Unity 3.2 has direct import from Blender 2.56.

    Some people have problem with that, but problem is not on Unity side - there are problems with Blender installation, it doesn't install its Python scripts correctly in some cases. My recommendation is to use default installation options (although even that doesn't work for some people).
     
  3. Paulius-Liekis

    Paulius-Liekis

    Joined:
    Aug 31, 2009
    Posts:
    672
    Unity 3.4 is not compatible with latest Blender (2.58). It works with Blender 2.49 or 2.56.

    Unity 3.5 will be compatible with Blender 2.49, 2.58 and 2.59. If anyone want to jump ahead you can take the attached conversion script. You have to find Unity-BlenderToFBX.py in Unity folder and replace it with the one in the attached zip file. If you have any problems with it you can send me a PM or start a new thread.

    Edit: updated the script once again with the one which compiles with Blender 2.49 as well.
     

    Attached Files:

Thread Status:
Not open for further replies.